Skip Navigation

Adobe Creative Cloud Application Vulnerability

08/21/2018:
Adobe released an out-of-band security update to address two critical remote code execution vulnerabilities impacting Adobe Photoshop Creative Cloud (CC) for Windows and Apple devices. Users are advised to ensure their Adobe Photoshop CC clients have received the latest updates available from Adobe. Additional information concerning these vulnerabilities is available at: https://helpx.adobe.com/security/products/photoshop/apsb18-28.html
Campuses Affected:
  • OSU-Stillwater
  • OSU-Tulsa
  • OSU Center for Health Services
  • OSU-Institute of Technology
  • OSU-Oklahoma City
  • Connors State College
  • Langston University
  • Panhandle State University
  • Northeastern Oklahoma A & M
  • Northern Oklahoma College at Stillwater
  • Services Affected:
    Adobe Creative Cloud 2017 v. 18.1.5 and earlier / Adobe Creative Cloud 2018 v. 19.1.5 and earlier
    Announcement Contact Information:
    ITHelpdesk
    405-744-4357
    helpdesk@okstate.edu